# Generated by Django 4.2.11 on 2024-09-19 07:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("eveonline", "0017_alliance_and_corp_names_are_not_unique"),
    ]

    operations = [
        migrations.CreateModel(
            name="General",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
            options={
                "permissions": (
                    ("basic_access", "Can access this app, Skillfarm."),
                    ("admin_access", "Has access to all characters."),
                ),
                "managed": False,
                "default_permissions": (),
            },
        ),
        migrations.CreateModel(
            name="SkillFarmAudit",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("active", models.BooleanField(default=False)),
                ("notification", models.BooleanField(default=False)),
                (
                    "last_update",
                    models.DateTimeField(blank=True, default=None, null=True),
                ),
                (
                    "character",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="skillfarm_character",
                        to="eveonline.evecharacter",
                    ),
                ),
            ],
            options={
                "default_permissions": (),
            },
        ),
        migrations.CreateModel(
            name="SkillFarmSetup",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("skillset", models.JSONField(blank=True, default=dict, null=True)),
                (
                    "character",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="skillfarm_setup",
                        to="skillfarm.skillfarmaudit",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SkillFarmNotification",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("message", models.TextField()),
                ("timestamp", models.DateTimeField(auto_now_add=True)),
                (
                    "character",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="skillfarm_notification",
                        to="skillfarm.skillfarmaudit",
                    ),
                ),
            ],
            options={
                "verbose_name": "Skillfarm Notification",
                "verbose_name_plural": "Skillfarm Notifications",
                "ordering": ["-timestamp"],
                "default_permissions": (),
            },
        ),
    ]
